Skip to content

upsertItemManufacturing

WRITE

Upsert item manufacturing.

POST /api/v1/items/upsertItemManufacturing
curl -X POST '<your-host>/api/v1/items/upsertItemManufacturing' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "lotSize": 0,
    "scrapPercentage": 0,
    "leadTime": 0
  }'

Parameters

ParameterType
min length 1
min 0
min 0
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "requiresConfiguration": {
      "type": "boolean"
    },
    "lotSize": {
      "type": "number",
      "minimum": 0
    },
    "scrapPercentage": {
      "type": "number",
      "minimum": 0
    },
    "leadTime": {
      "type": "number",
      "minimum": 0
    },
    "customFields": {}
  },
  "required": [
    "itemId",
    "lotSize",
    "scrapPercentage",
    "leadTime"
  ]
}